<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" >
<head>
    <meta charset="UTF-8">
    <title>Registros</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="/">Inventario</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="/nuevo">Agregar producto</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active" href="/registros">Registros</a>
                </li>

            </ul>
        </div>
    </div>
</nav>
<table class="table">
    <thead>
    <tr>
        <th scope="col">ID</th>
        <th scope="col">Producto</th>
        <th scope="col">Accion</th>
        <th scope="col">Fecha</th>

    </tr>
    </thead>
    <tbody>
    <tr th:each="registro:${listaRegistro}">
        <td th:text="${registro.id}"></td>
        <td th:text="${registro.producto.getNombre()}"></td>
        <td th:text="${registro.Accion}"></td>
        <td th:text="${registro.fecha}"></td>


    </tr>
    </tbody>
</table>

</body>
</html>